using Models;
using System;
using System.Collections.Generic;
using System.Collections.Immutable;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LocalEndpoint
{
    public interface IAccountOwnedRecipes
    {

        public Account Account { get; }

        public bool UploadRecipe(Recipe recipe);

        public bool RemoveRecipe(RecipeInfo info);


        public ImmutableList<RecipeInfo> GetAccountRecipes();
    }
}
